
QGIS Application - Bug report #20787

QGIS 3.4.2 keeps crashing in Windows 7

2018-12-12 01:03 PM - Jan Helebrant

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:3.4.2 Regression?: No

Operating System: Windows 7 Pro 64bit, running as user with limited privilegesEasy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 28607

Description

I had same problem with 3.4.1 which randomly crashed on this Windows machine but upgrade to 3.4.2 and starting with clean profile did

not help. Now it crashes almost every time I try to use some feature.

I also have 3.4.2 on other machine with 64bit Windows 7 and it does not crash there (same on my linux machine) but I have no idea how to

find out why it crashes on this machine. QGIS 2.18 runs OK on both. Does QGIS3 have different requirements regarding user privileges?

Attached report here:

User Feedback

QGIS crashed when attempting to show installed plugins and install new. Crashed few seconds after fetching the plugins.

Report Details

Crash ID: 711811c82da0e981c2b52adcfcbfcf7ac1372928

Stack Trace

RtlFreeHeap :

HeapFree :

free :

DllUnregisterServer :

DllUnregisterServer :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

IsEqualGUID :

IsEqualGUID :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

ObjectStublessClient6 :

CoCreateInstanceEx :

ObjectStublessClient32 :

SHParseDisplayName :

Ordinal866 :

ILSaveToStream :

ShellExecuteExW :

ShellExecuteExW :

ShellExecuteExW :

Ordinal860 :

ShellExecuteExW :

ExtractIconExW :
Ordinal865 :

Ordinal865 :

QCommonStyle::standardIcon :

QWindowsStyle::standardIcon :

qt_plugin_query_metadata :

qt_plugin_query_metadata :

QHeaderView::showSection :

QMessageBox::standardIcon :

QMessageBox::QMessageBox :

QMessageBox::showEvent :

QMessageBox::warning :

PyMethodDef_RawFastCallKeywords :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyEval_EvalCodeEx :

PyEval_EvalCode :

PyArena_Free :

PyRun_StringFlags :

instance :

instance :

QgisApp::rotatePointSymbols :

QgsPythonRunner::run :

QgisApp::showPluginManager :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.2-Madeira

QGIS code revision: commit:22034aa070

Compiled against Qt: 5.11.2
Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

Related issues:

Duplicates QGIS Application - Bug report # 18260: qgis 3 crashes at start Closed 2018-02-28

History

#1 - 2019-01-10 01:45 PM - Jürgen Fischer

- Duplicates Bug report #18260: qgis 3 crashes at start added

#2 - 2019-01-10 01:46 PM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Open to Closed
